Bug 581292 - waveform drawing issues
waveform drawing issues
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: wxGTK (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
http://trac.wxwidgets.org/ticket/11933
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-11 11:37 EDT by udo
Modified: 2011-06-02 11:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 11:34:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description udo 2010-04-11 11:37:08 EDT
Description of problem:
We see waveform drawing issues in Audacity.
See 
http://forum.audacityteam.org/viewtopic.php?f=18&t=9855 for trouble like I see on my boxes (multiple).
Switching from radeonhd to Fedora's supported radeon videodriver does not fix the issue: xorg-x11-drv-ati-6.13.0-0.21.20100219gite68d3a389.fc12.x86_64
Audacity is Fedora delivery: audacity-1.3.11-0.1.beta.fc12.x86_64
People with some expertise point to wxGTK.

Version-Release number of selected component (if applicable):
2.8.10-7.fc12

How reproducible:
Install Fedora 12, including Audacity.

Steps to Reproduce:
1. See above.
2.
3.
  
Actual results:
Corrupted waveforms.

Expected results:
No corruption.

Additional info:
http://forum.audacityteam.org/viewtopic.php?f=18&t=9855
Comment 1 Dan Horák 2010-04-11 11:59:16 EDT
As this issue is clearly not specific to Fedora, please report it directly to wxWidgets at http://trac.wxwidgets.org/
Comment 2 udo 2010-04-11 12:06:53 EDT
How do you know it is not specific?
I provided partly factual and partly speculative information.
What research results did you gather to support your conclusion?
Please elaborate.

What confirms the wxGTK assumption?
And why is it not redhat specific?
Comment 3 Dan Horák 2010-04-11 12:33:30 EDT
The reasons are
- it happens on multiple distros (at least 3)
- there is no Fedora specific source code in the wxGTK package
- I am only a packager of wxGTK and I don't have the resources (detailed knowledge, etc.) to dig into such issue
Comment 4 udo 2010-04-12 09:42:38 EDT
When I try radeonhd from http://koji.fedoraproject.org/koji/buildinfo?buildID=132705 (i.e. 1.2.5 instead of git's 1.3.x) I still get the same issues.

Is there more we can do to rule out the video driver?
Comment 5 udo 2010-04-12 10:22:01 EDT
This one patch https://bugs.freedesktop.org/attachment.cgi?id=25571 works around the issue. So it appears to be driver-related. (!?)

See https://bugs.freedesktop.org/show_bug.cgi?id=21561 for the full story.
The bug is not fixed yet.
Comment 6 Bug Zapper 2010-11-03 13:23:03 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-02 11:29:15 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 udo 2011-06-02 11:34:02 EDT
I replaced radeonhd with radeon driver.

Note You need to log in before you can comment on or make changes to this bug.